using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace UniversityAgregationComposition
{
    class Department
    {
        private List<Professor> employees = new List<Professor>();
        public string Name { get; set; }

        public void Add(Professor employee)
        {
            employees.Add(employee);
        }

        public void Remove(Professor employee)
        {
            employees.Remove(employee);
        }

        public List<Professor> GetProfessorsByDepartement()
        {
            return (employees);
        }


        public Professor this[int index]
        {
            get { return employees[index]; }
        }
    }
}
